Get all runs for a cron job
GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/cron/{cron}/runs
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron/test-cron/runs';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron/test-cron/runs \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envcron
required
string
The cron job ID
Example
test-cronResponses
Section titled “Responses”The runs
Media typeapplication/json
Array<object>
object
runId
string
runType
string
command
string
status
string
startTime
string format: date-time
endTime
string format: date-time
exitCode
integer
output
Array<string>
scheduleName
string
targetContainerName
string
Example
[ { "runType": "EXEC", "status": "PENDING" }]